<!-- START :: Cities block -->
<?php

	$gender = GENDER_FEMALE;
	$is_agency = null;
	// If there are some filters specified, than statistics will be counted
	// for that criterias, otherwise total counts of escorts will be shown

	// <editor-fold defaultstate="collapsed" desc="Sort Functions">
	$fn_order_title = create_function('$a, $b', '
		if ( is_object($a) && is_object($b) ) {
			return strnatcmp($a->city_title, $b->city_title);
		}
		elseif ( is_array($a) && is_array($b) ) {
			return strnatcmp($a["city_title"], $b["city_title"]);
		}
		else return 0;
	');
	// </editor-fold>

	$this->total_count = Model_Statistics::getTotalCount($gender, $is_agency, null, false);
    
    $cities =  $this->cities;
    $more_cities = $this->more_cities;


	foreach ( $cities as $i => $city ) {
		if ( $i > 5 ) break;
		$cities[$i]->is_bold = true;
	}

	usort($cities, $fn_order_title);
	usort($more_cities, $fn_order_title);

	$country_iso = Cubix_Application::getById()->iso;
	$config = Zend_Registry::get('escorts_config');
?>
<!-- END :: Cities block -->

<?php if ( count($cities) > 0 ): ?>
	<div class="escort-info index-city">
		<div id="pageTitle">
			<div><?= __('choose_your_city'); ?> - <?= $this->total_count?></div>
		</div>
		<input class="city-search" type="text" id="city-search" placeholder="<?= $this->t('search_your_city')?>" />
		<div class="cities">
			<ul class="city ">
				<? foreach ( $cities as $i => $city ): ?>
					<li>
						<a href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->city_slug, 'filter' => null, 'page' => null)) ?>">
							<span class="city-title <?= ( $city->is_bold ) ? 'city-bold' : '' ?>" ><?= $city->city_title ?></span>
							<span class="escort-count">(<?= $city->escort_count ?>)</span>
						</a>
					</li>
				<? endforeach ?>

                <? foreach ( $more_cities as $i => $city ): ?>
                    <li class="hidden __more">
                        <a href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->city_slug, 'filter' => null, 'page' => null)) ?>">
                            <span class="city-title"><?= $city->city_title ?></span>
                            <span class="escort-count">(<?= $city->escort_count ?>)</span>
                        </a>
                    </li>
                <? endforeach ?>
			</ul>
			<div class="clear"></div>
			<a href="javascript:void(0)" class="more" id="load-more">...</a>
			<ul class="city more-cities hidden">
				<? foreach ( $more_cities as $i => $city ): ?>
					<li>
						<a href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->city_slug, 'filter' => null, 'page' => null)) ?>">
							<span class="city-title"><?= $city->city_title ?></span>
							<span class="escort-count">(<?= $city->escort_count ?>)</span>
						</a>
					</li>
				<? endforeach ?>
				<div class="clear"></div>
			</ul>
			<div class="clear"></div>
		</div>
<?php else: ?>
	<p class="dottedBorder"><?= __('search_reviews_no_result'); ?></p>
<?php endif ?>

<div class="clear"></div>
</div>

<!--https://sceonteam.atlassian.net/browse/EF-58-->

<? /*

*/?>


<div class="full-view-jumbotron">
    <a href="<?= $this->getLink('escorts', array('virtual')) ?>">
        <img src="/img/banner-mobileonline-serv.gif" alt="Escortforumit CAMS!"/>
    </a>
</div>


		<? $lang = Cubix_I18n::getLang(); ?>
		<? /*if ($lang == 'it'): ?>
		    <div class="full-view-jumbotron">
		        <a href="<?= $this->getLink('escorts', array('valentine')) ?>">
		            <img src="/img/valentine-mobile-banner.png" alt="Valentine banner"/>
		        </a>
		    </div>
		<? elseif ($lang == 'en'): ?>
		    <div class="full-view-jumbotron">
		        <a href="<?= $this->getLink('escorts', array('valentine')) ?>">
		            <img src="/img/valentine-mobile-banner_en.jpg" alt="Valentine banner"/>
		        </a>
		    </div>
		<? endif; */?>

<!-- <div class="full-view-jumbotron old">
        <a href="/escorts/skype-available">
            <img src="/img/mobile-skype-available-girls.gif" alt="Skype Calls from Escorts, NEW!" />
        </a>
    </div> -->


<div class="escort-info index-escorts">
	<div class="escorts-pheader">
		<div id="pageTitle">
			<div><?= __('premium_escorts'); ?> - <?php echo $this->total_count . " " . __('online') ?>  </div>
		</div>
		<input class="escort-search" type="text" id="escort-search" placeholder="<?= $this->t('search_by_showname')?>" />
	</div>

	<div id="ajaxResults">
        <? $index = 0; ?>
        <?	if($this->gotm): ?>
				<?
                $index++;
				$gotm = new Model_EscortV2Item($this->gotm);
				?>
				<div class="ajax-escort">
				    <div class="image gotm-image">
				    	<div class="gotm-label">
				    		<?= __('girl_of_the_month') ?>
				    	</div>
				    	<a name="<?= $gotm->id ?>" href="<?=$this->getLink('profile', array('showname' => $gotm->showname, 'escort_id' => $gotm->id ), true);?>">
                            <img src="<?= $gotm->getMainPhoto()->getUrl('mobile_thumb') ?>" width="100%" alt="" />
                        </a>
				    </div>
				    <p class="showname"><?= $gotm->showname?></p>
				    <p class="city-age">
				        <span class="age-gif-<?= $this->lang() ?>" ></span> <?= $gotm->age ?> | <?= $this->t('city') ?>: <?= $gotm->city ?>
				    </p>
				</div>
		<? endif;?>
		<? foreach ($this->escorts as $escort): ?>
			<? $index++; ?>

            <? if($index == 7): ?>
            <div class="full-view-jumbotron">
                <a target="_blank" href="https://track.1234sd123.com/5b1c74b9-55fe-42ab-b614-3d2e5c8ff1fc?placement=mobile-banner&ad_id=banner_1">
                    <img src="/m/i/4myfans-jumbotron.png" alt="4MyFans!">
                </a>
            </div>
            <? endif; ?>

			<?php $escort = new Model_EscortV2Item($escort); ?>
		    <? //if ( $escort->is_premium ): // Main Premium Spot ?>
			    <div class="<?= $escort->is_gotd ? 'escort gotd' : 'escort ajax-escort'?> <?= !empty($escort->last_bump_date) ? 'bump-thumb' : '' ?> <?= $this->lang() ?>" >
                    <? if ($escort->is_gotd) :?>
                        <div class="gotd-header m-gotd-header"><?= $this->t('girl_of_the_day')?></div>
                    <?endif;?>
				    <div class="image">
				    	<a name="<?= $escort->id ?>" href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id ), true);?>">
                            <img src="<?= $escort->getMainPhoto()->getUrl('mobile_thumb') ?>" width="100%" alt="" />
                        </a>

						<? if ( $this->is_main_page || $escort->is_premium || $escort->is_tour_premium || $escort->is_diamond || $is_silver): // Main Premium Spot ?>
							<? if ($escort->is_diamond): ?>
								<span class="diamond_sticker"></span>
							<? else: ?>
								<? if (in_array($escort->package_id, array(Model_EscortsV2::PACKAGE_GOLD_PREMIUM, Model_EscortsV2::PACKAGE_GOLD_PREMIUM_LITE))): ?>
									<span class="gold_sticker"></span>
								<? elseif (in_array($escort->package_id, array(Model_EscortsV2::PACKAGE_SILVER_CITY, Model_EscortsV2::PACKAGE_SILVER_CITY_LITE))): ?>
									<span class="silver_sticker"></span>
								<? else: ?>
									<span class="premium_sticker"></span>
								<? endif; ?>
							<? endif; ?>
						<? endif ?>

						<? if ($escort->is_suspicious): ?>
							<span class="suspicious-profile"></span>
						<? endif; ?>

						<?php if( $escort->getMainPhoto()->photo_status == 1 ): ?>
<!--							<span class="img_verified"></span>-->
						<?php endif; ?>

						<? if ( in_array($escort->verified_status, array(Model_Escorts::VERIFIED_STATUS_VERIFIED, Model_Escorts::VERIFIED_STATUS_VERIFIED_RESET)) && ! $escort->is_online ): ?>
							<span class="img_verified"></span>
						<? endif; ?>

						<?php if (in_array($escort->id, $this->instantbook_escorts)): ?>
							<span class="instant-book-label"></span>
						<?php endif?>

						<? if ( $escort->is_new ): ?>
							<span class="new"></span>
						<? endif ?>
                        <?if($escort->isVirtualAvailable() > 0): ?>
                            <div class="virtual-service-sticker">

                                <?
                                if($escort->isVirtualAvailable() == 3){
                                    ?>
                                    <img src="/img/icon_skype.png" />
                                    <img src="/img/icon_whatsapp.png" />
                                    <?php
                                }elseif($escort->isVirtualAvailable() == 2){
                                    ?>
                                    <img src="/img/icon_skype.png" />
                                    <?php
                                }else{
                                    ?>
                                    <img src="/img/icon_whatsapp.png" />
                                    <?php
                                }

                                ?>
                            </div>
                        <? endif; ?>
						<? if($escort->skype_call_status && false): ?>
						<span class="skype-video-sticker">
							<span class='cont'> Skype Video</span>
						</span>
						<? endif; ?>
						<?/* if ($escort->has_video): ?>
							<span class="video_sticker"><?= __('video'); ?></span>
						<? endif; */?>
				    </div>
				    <p class="showname"><?= $escort->showname ?></p>
				    <p class="city-age">
				        <span class="age-gif-<?= $this->lang() ?>" ></span> <?= $escort->age ?> | <?= $this->t('city') ?>: <?= $escort->city ?>
				    </p>
                    <p class="city-age slogan">
                        <span class="slogan" ></span> <?= $escort->slogan ?>
                    </p>
                    <? if ($escort->isCamAvailable()): ?>
                        <? echo $this->partial('escorts/cam-available-badge.phtml'); ?>
                    <? endif; ?>
				</div>
		    <?php //endif; ?>
		<? endforeach;?>
		<? if(!$this->gotm || ($this->gotm && count($this->escorts)%2 != 0)): ?>
			<div class="clear"></div>
		<?endif;?>

	</div>

    <input type="hidden" class="more" id="load-more-escorts" data-page="<?= $this->page ?>" />
</div>

<span class="show-more-ajax"></span>

<script type="text/javascript">
	$(document).ready( function(){
		Index.Cities.init();
		Index.Cities.liveSearch();
		Index.Escorts.init();
		Index.Escorts.liveSearch();
	});
</script>

